

Public Class MyListItem
    Private mText As String
    Private mValue As String

    Public Sub New(ByVal pText As String, ByVal pValue As String)
        mText = pText
        mValue = pValue
    End Sub

    Public ReadOnly Property Text() As String
        Get
            Return mText
        End Get
    End Property

    Public ReadOnly Property Value() As String
        Get
            Return mValue
        End Get
    End Property

    Public Overrides Function ToString() As String
        Return mText
    End Function


End Class



Public Class MyListItem2
    Private mText As Object
    Private mValue As Object

    Public Sub New(ByVal pText As Object, ByVal pValue As Object)
        mText = pText
        mValue = pValue
    End Sub

    Public ReadOnly Property Text() As Object
        Get
            Return mText
        End Get
    End Property

    Public ReadOnly Property Value() As Object
        Get
            Return mValue
        End Get
    End Property

    '  Public Overrides Function ToString() As Object
    '      Return mText
    '  End Function





End Class



Public Class SQLVariable
    Private TextSQLName As String
    Private ValueSQLVALUE As Object
    Private Scalarvariablename As String
    Private primaryParam As Boolean
    Private onlyForLoad As Boolean
    Private onlyForSave As Boolean

    Public Sub New(ByVal Text As String, ByVal Value As Object, Optional Scalarvariablename As String = "", Optional primaryParam As Boolean = False, Optional onlyForLoad As Boolean = False, Optional onlyForSave As Boolean = False)
        Me.TextSQLName = Text
        Me.ValueSQLVALUE = Value
        Me.primaryParam = primaryParam
        Me.onlyForLoad = onlyForLoad
        Me.onlyForSave = onlyForSave

        If Scalarvariablename <> "" Then Me.Scalarvariablename = Scalarvariablename Else Me.Scalarvariablename = Text
    End Sub

    Public ReadOnly Property Text() As String
        Get
            Return TextSQLName
        End Get
    End Property

    Public ReadOnly Property Value() As Object
        Get
            Return ValueSQLVALUE
        End Get
    End Property

    Public ReadOnly Property Scalarvariable() As Object
        Get
            Return Scalarvariablename
        End Get
    End Property

    Public ReadOnly Property isPrimaryParam() As Boolean
        Get
            Return primaryParam
        End Get
    End Property

    Public ReadOnly Property isonlyForLoad() As Boolean
        Get
            Return onlyForLoad
        End Get
    End Property

    Public ReadOnly Property isonlyForSave() As Boolean
        Get
            Return onlyForSave
        End Get
    End Property


    '  Public Overrides Function ToString() As Object
    '      Return mText
    '  End Function



End Class